<ion-header>
  <ion-toolbar color="dark">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Listado Productos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-list-header>
      <h1>Productos</h1>
    </ion-list-header>
    <ion-item *ngFor="let product of products">
      <ion-label>
        <h1>
          {{product.name}}
        </h1>
        <p>
          {{product.description}}
        </p>
        <div class="content">
        <p>
          <b>Cantidad:</b> {{product.quantity}}
        </p>
        <p>
        <b>Precio:</b> {{product.price}} €
        </p>
        <p>
        <b>Rating:</b> {{product.rating}}/10 <ion-icon name="star-outline" id="star-outline"></ion-icon>
        </p>
      </div>
      </ion-label>
      <div class="buttons">
      <ion-button clear [routerLink]="['/edit-product/', product.id]" color="secondary">
        <ion-icon name="create" id="create"></ion-icon>
      </ion-button>
      <ion-button clear (click)="deleteProduct(product.id)" color="danger">
        <ion-icon name="trash" id="trash"></ion-icon>
      </ion-button>
    </div>
  </ion-item>
</ion-list>
<ion-fab vertical="bottom" horizontal="end" slot="fixed" [routerLink]="['/create-product']" >
  <ion-fab-button  color="success">
    <ion-icon name="add"></ion-icon>
  </ion-fab-button>
</ion-fab>

</ion-content>